package fr.natan.employeemicroservice.repository;

import fr.natan.employeemicroservice.entity.Employee;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import java.util.List;

@RepositoryRestResource
public interface EmployeeRepository extends JpaRepository<Employee, Long> {
    Employee findByFirstnameAndLastname(String firstname, String lastname);
    List<Employee> findByAddressID(Long addressID);
}
