package fr.natan.employeemicroservice.t_openFeign.openFeign;


import fr.natan.employeemicroservice.t_openFeign.address.Address;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "ADDRESS-SERVICE")
public interface AddressServiceOpenFeign {
    @GetMapping("/addresses/{addressID}")
    Address findAddressById(@PathVariable(name = "addressID") Long addressID);
}
