package fr.natan.projectmicroservice.t_openFeign.openFeign;

import fr.natan.projectmicroservice.t_openFeign.company_model.model.Company;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "COMPANY-SERVICE")
public interface CompanyServiceOpenFeign {
    @GetMapping("/companies/{companyID}")
    public Company getCompanyByID(@PathVariable(name = "companyID") Long companyID);
}
