package fr.natan.addressmicroservice.repository;

import fr.natan.addressmicroservice.entity.Address;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import java.util.List;

@RepositoryRestResource
public interface AddressRepository extends JpaRepository<Address, Long> {
    List<Address> findByNumHouseAndStreetNameAndPbAndCity(
            String numHouse,
            String streetName,
            String pb,
            String city);
}
