package fr.natan.projectmicroservice.t_openFeign.openFeign;

import fr.natan.projectmicroservice.t_openFeign.employee_model.Employee;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "EMPLOYEE-SERVICE")
public interface EmployeeServiceOpenFeign {
    @GetMapping("employees/{employeeID}")
    public Employee getEmployeeByID(@PathVariable(name = "employeeID") Long employeeID);
}
